- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# ImageIOHandler Class Reference

Search for all occurrences

## Detailed Description

This class is the base class for external Image handlers.

If a plug-in wants to support additional formats, then they can implement this virtual base class.

Examples:

  ImageIOHandlerRAW/ImageIOHandlerRAW.h.

Definition at line 185 of file importexport.h.

`#include <importexport.h>`

Inheritance diagram for ImageIOHandler:
[legend]

List of all members.

## Public Member Functions
const QString & | ImageName (void)
| Returns the Image types name. Commonly just the extension acronym.
const QString & | ImageDescription (void)
| Brief one sentence description of the image type.
virtual bool | Import (const QString &sFileName, mudbox::Image *pImage)
| Imports Image type as an Image pointer.
virtual bool | Export (const QString &sFileName, mudbox::Image *pImage)
| Exports an Image of this type.
const QList< FileExtension > & | SupportedExtensions (void)
| Returns list of supported extensions.
const QList < mudbox::PixelDescriptor > & | SupportedFormats (void)
| Returns list of supported formats.
## Protected Attributes
QString | m_sImageName
| Name of the image. To be set by derived class.
QString | m_sImageDescription
| Short one sentence description of the image. To be set by derived class.
QList< FileExtension > | m_aExtensions
| List of extensions used by this image type. To be set by derived class.
QList< class mudbox::PixelDescriptor > | m_aFormats
| List of formats supported by this image type. To be set by derived class.

## Member Function Documentation

const QString& ImageName | ( | void |  | ) |

Search for all occurrences

Returns the Image types name. Commonly just the extension acronym.

const QString& ImageDescription | ( | void |  | ) |

Search for all occurrences

Brief one sentence description of the image type.

virtual bool Import | ( | const QString & | sFileName,
|  | mudbox::Image * | pImage
| ) |  | `[virtual]`

Search for all occurrences

Imports Image type as an Image pointer.

The argument pImage is a valid pointer and should be used to create a Mudbox image.

virtual bool Export | ( | const QString & | sFileName,
|  | mudbox::Image * | pImage
| ) |  | `[virtual]`

Search for all occurrences

Exports an Image of this type.

The argument pImage is a valid pointer to an image in memory that's used to export user defined type.

const QList<FileExtension>& SupportedExtensions | ( | void |  | ) |

Search for all occurrences

Returns list of supported extensions.

A list is used in case multiple extensions indicate the same file (e.g. tif, tiff, TIFF, etc...)

const QList<mudbox::PixelDescriptor>& SupportedFormats | ( | void |  | ) |

Search for all occurrences

Returns list of supported formats.

## Member Data Documentation

QString m_sImageName `[protected]`

Search for all occurrences

Name of the image. To be set by derived class.

Definition at line 210 of file importexport.h.

QString m_sImageDescription `[protected]`

Search for all occurrences

Short one sentence description of the image. To be set by derived class.

Definition at line 213 of file importexport.h.

QList<FileExtension> m_aExtensions `[protected]`

Search for all occurrences

List of extensions used by this image type. To be set by derived class.

Definition at line 216 of file importexport.h.

QList<class mudbox::PixelDescriptor> m_aFormats `[protected]`

Search for all occurrences

List of formats supported by this image type. To be set by derived class.

Definition at line 219 of file importexport.h.

The documentation for this class was generated from the following file:

- Mudbox/importexport.h

ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler
ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler ImageIOHandler